package com.beagle.base.service;

import com.beagle.base.bean.vo.SnapshotBlobParam;
import com.beagle.base.bean.vo.SnapshotCoorParam;
import com.beagle.base.bean.vo.SnapshotDoubleParam;
import com.beagle.base.bean.vo.SnapshotIntParam;
import com.rtdb.model.BlobData;
import com.rtdb.model.CoorData;
import com.rtdb.model.DoubleData;
import com.rtdb.model.IntData;

import java.util.List;

/**
 * @author lzz
 */
public interface SnapshotService {

    List<DoubleData> getDoubleSnapshots(SnapshotDoubleParam param);

    List<IntData> getIntSnapshots(SnapshotIntParam param);

    List<BlobData> getBlobSnapshots(SnapshotBlobParam param);

    List<CoorData> getCoorSnapshots(SnapshotCoorParam param);
}
